Bug 15961 - Feature request rpm reads and writes manifest files
Feature request rpm reads and writes manifest files
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-08-10 19:03 EDT by kestes
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-16 10:29:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description kestes 2000-08-10 19:03:01 EDT
I would like rpm to read a text file (with \# comments) of
packages and rpm arguments and load that list of packages
from a search list of "rpm package archives"

RPM should also be able to write such a file when any user
wonders what is installed on his system.
Comment 1 kestes 2000-08-16 10:29:43 EDT
Notice that reading the archive is a bit tricky since rpm does not really
have a good filename convention for naming packages so rpm will need to
search the headers of each file in the archive to figure out what the package
is.  My package archive is quite large (5,000 files and growing) so there
may need to be a chace to make this usable.

Right now RPM can not write the manifest list because it does not save
the command line arguments which packages are loaded into the system and
rpm does not know how to print out the package names in topologically sorted

Comment 2 Jeff Johnson 2001-12-09 13:55:35 EST
Manifests (i.e. glob expressions contained in a file that
can be used to generate a list of packages) are in rpm-4.0.3.

Note You need to log in before you can comment on or make changes to this bug.